Page MenuHomePhabricator

Support the Editing team in their changes to classic edit toolbar
Closed, ResolvedPublic

Description

Community engagement around T30856, whenever it's time.

Event Timeline

Elitre created this task.Apr 26 2017, 6:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2017, 6:22 PM
Qgil triaged this task as Low priority.Apr 27 2017, 8:11 PM

I've started documentation: https://www.mediawiki.org/wiki/Editing/Projects/Removal_of_the_2006_wikitext_editor

@Jdforrester-WMF: Were you planning to send an e-mail message about this change to wikitech-l? I didn't find one in the archives (but perhaps I've got the wrong list in mind).

I've added this to https://meta.wikimedia.org/wiki/Tech/News/2017/23

It is scheduled for the last regular deployment train of June 2017.

We've postponed this, until approximately the last half of July. The OOjs UI change in T162849: Support WMF communities in run-up to switching EditPage over to OOUI is going to break some editing-related scripts, and we really don't want two such changes happening at the same time.

I've started documentation: https://www.mediawiki.org/wiki/Editing/Projects/Removal_of_the_2006_wikitext_editor
@Jdforrester-WMF: Were you planning to send an e-mail message about this change to wikitech-l? I didn't find one in the archives (but perhaps I've got the wrong list in mind).

Bah, had it written but apparently failed to ever send it. :-(

We've postponed this again: probably end of August, probably after T162849: Support WMF communities in run-up to switching EditPage over to OOUI is done (or every site except Commons is done).

Whatamidoing-WMF raised the priority of this task from Low to Normal.Jul 24 2017, 10:22 PM

Update: In practical terms, this is blocked by T166601: Fix CharInsert to not use mw.toolbar.insertTags. I don't know when it will be cleared, but probably not during the next few weeks. So – maybe October? maybe even later?

Qgil added a subscriber: Qgil.

Let's push it to the next quarter for now. Hopefully in a couple of weeks the timeline will be clearer.

Still on ice because of T177098. Maybe move to next quarter?

Whatamidoing-WMF changed the task status from Open to Stalled.Jan 30 2018, 8:14 PM

I don't know if or when this is going to happen.

DannyH and I are going to talk about this project in August 2018.

Whatamidoing-WMF changed the task status from Stalled to Open.Aug 13 2018, 7:30 PM
Whatamidoing-WMF closed this task as Resolved.Dec 10 2018, 7:48 PM